PropertiesEditor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Java] Class PropertiesEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.beans.propertyeditors.PropertiesEditor
              org.codehaus.groovy.grails.support.PropertiesEditor

    public class PropertiesEditor
    extends org.springframework.beans.propertyeditors.PropertiesEditor

Fixed version of Spring's PropertiesEditor that converts all keys and values to String values java.util.Properties should only contain String keys and values

Authors:
  Lari Hotari

Since:
  2.3.6

Method Summary
`void` | `setValue(java.lang.Object value)`

Methods inherited from class org.springframework.beans.propertyeditors.PropertiesEditor
org.springframework.beans.propertyeditors.PropertiesEditor#setValue(java.lang.Object), org.springframework.beans.propertyeditors.PropertiesEditor#setAsText(java.lang.String), org.springframework.beans.propertyeditors.PropertiesEditor#getSource(), org.springframework.beans.propertyeditors.PropertiesEditor#getValue(), org.springframework.beans.propertyeditors.PropertiesEditor#addPropertyChangeListener(java.beans.PropertyChangeListener), org.springframework.beans.propertyeditors.PropertiesEditor#removePropertyChangeListener(java.beans.PropertyChangeListener), org.springframework.beans.propertyeditors.PropertiesEditor#firePropertyChange(), org.springframework.beans.propertyeditors.PropertiesEditor#setSource(java.lang.Object), org.springframework.beans.propertyeditors.PropertiesEditor#getTags(), org.springframework.beans.propertyeditors.PropertiesEditor#getAsText(), org.springframework.beans.propertyeditors.PropertiesEditor#isPaintable(), org.springframework.beans.propertyeditors.PropertiesEditor#paintValue(java.awt.Graphics, java.awt.Rectangle), org.springframework.beans.propertyeditors.PropertiesEditor#getJavaInitializationString(), org.springframework.beans.propertyeditors.PropertiesEditor#getCustomEditor(), org.springframework.beans.propertyeditors.PropertiesEditor#supportsCustomEditor(), org.springframework.beans.propertyeditors.PropertiesEditor#wait(long, int), org.springframework.beans.propertyeditors.PropertiesEditor#wait(long), org.springframework.beans.propertyeditors.PropertiesEditor#wait(), org.springframework.beans.propertyeditors.PropertiesEditor#equals(java.lang.Object), org.springframework.beans.propertyeditors.PropertiesEditor#toString(), org.springframework.beans.propertyeditors.PropertiesEditor#hashCode(), org.springframework.beans.propertyeditors.PropertiesEditor#getClass(), org.springframework.beans.propertyeditors.PropertiesEditor#notify(), org.springframework.beans.propertyeditors.PropertiesEditor#notifyAll()

Methods inherited from class java.beans.PropertyEditorSupport
java.beans.PropertyEditorSupport#setValue(java.lang.Object), java.beans.PropertyEditorSupport#getSource(), java.beans.PropertyEditorSupport#getValue(), java.beans.PropertyEditorSupport#addPropertyChangeListener(java.beans.PropertyChangeListener), java.beans.PropertyEditorSupport#removePropertyChangeListener(java.beans.PropertyChangeListener), java.beans.PropertyEditorSupport#firePropertyChange(), java.beans.PropertyEditorSupport#setSource(java.lang.Object), java.beans.PropertyEditorSupport#getTags(), java.beans.PropertyEditorSupport#getAsText(), java.beans.PropertyEditorSupport#isPaintable(), java.beans.PropertyEditorSupport#paintValue(java.awt.Graphics, java.awt.Rectangle), java.beans.PropertyEditorSupport#getJavaInitializationString(), java.beans.PropertyEditorSupport#setAsText(java.lang.String), java.beans.PropertyEditorSupport#getCustomEditor(), java.beans.PropertyEditorSupport#supportsCustomEditor(), java.beans.PropertyEditorSupport#wait(long, int), java.beans.PropertyEditorSupport#wait(long), java.beans.PropertyEditorSupport#wait(), java.beans.PropertyEditorSupport#equals(java.lang.Object), java.beans.PropertyEditorSupport#toString(), java.beans.PropertyEditorSupport#hashCode(), java.beans.PropertyEditorSupport#getClass(), java.beans.PropertyEditorSupport#notify(), java.beans.PropertyEditorSupport#notifyAll()

Method Detail

### setValue

    @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
    @java.lang.Override
    public void setValue(java.lang.Object value)

Groovy Documentation